package cn.com.countrygarden.bi.main.dao.investment;

import java.math.BigDecimal;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ManagerMapOrganTreeDTO;
import cn.com.countrygarden.bi.main.dto.investment.InvestRegionExcelSummaryVo;
import cn.com.countrygarden.bi.main.dto.investment.InvestRegionExcelVo;
import cn.com.countrygarden.bi.main.dto.investment.InvestRegionTotalDTO;
import cn.com.countrygarden.bi.main.dto.investment.InvestRegionTotalVo;
import cn.com.countrygarden.bi.main.model.investment.InvestRegionTotal;
/**
 * 区域总资金-数据层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-15
 */
public interface InvestRegionTotalMapper extends Mapper<InvestRegionTotal>{
	

	List<InvestRegionTotalDTO> findAllRegionInvestment(@Param(value="regionIds")String[] regionIds,@Param(value="organCode")String organCode);
	InvestRegionTotalVo findInvestRegionTotalVo(@Param(value="regionId")String regionId);
	InvestRegionTotalDTO selectInvestRegionTotalDTO(@Param(value="id")int id);
	List<InvestRegionTotal> getRegionList(@Param(value="organCode")String organCode);
	List<InvestRegionExcelVo> findInvestRegionExcelVo(@Param(value="organCode")String organCode,@Param(value="regionIds")String[] regionIds);
	
    InvestRegionExcelSummaryVo findInvestRegionExcelSummaryVo(@Param(value="organCode")String organCode,@Param(value="regionName")String regionName,
    		@Param(value="regionId")String regionId,@Param(value="regionIds") String[] regionIds);
	List<ManagerMapOrganTreeDTO> selectRegionTotalTreeByOrganCode(@Param(value="regionName") String regionName);
	List<InvestRegionTotal> selectRegionName();
	List<String> findAllInvestRegionTotalIds(@Param(value="regionIds")String[] regionIds);
	
	InvestRegionTotal findAllInvestRegionToTotal(@Param(value="organCode")String organCode,@Param(value="regionIds")String[] regionIds);




	
}